import React, {Component} from "react"


export default function (teeMoStore, modelList = []) {

    return function (TargetComponent) {

        return class extends Component {

            componentWillMount() {
                teeMoStore.clearModel();
                modelList.forEach(teeMoStore.addModel)
                teeMoStore.restart()
            }

            render() {
                return (
                    <TargetComponent {...this.props} />
                )
            }

        }

    }

}